Bug 959079 - (CVE-2013-1994) CVE-2013-1994 openchrome: Multiple integer overflows leading to heap-based bufer overflows
CVE-2013-1994 openchrome: Multiple integer overflows leading to heap-based bu...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 966821 1078049
Blocks: 959130
  Show dependency treegraph
 
Reported: 2013-05-03 02:31 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-10-22 02:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-21 03:02:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-03 02:31:25 EDT
Multiple integer overflows leading to heap-based buffer overflows were found in the openchrome, an X.Org X11 openchrome video driver.

Affected functions:  uniDRIOpenConnection(), uniDRIGetClientDriverName()
Comment 5 Jan Lieskovsky 2013-05-23 11:46:18 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 6 Huzaifa S. Sidhpurwala 2013-05-23 23:54:03 EDT
Created xorg-x11-drv-openchrome tracking bugs for this issue

Affects: fedora-all [bug 966821]
Comment 7 Fedora Update System 2013-06-01 21:56:39 EDT
xorg-x11-drv-openchrome-0.3.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-06-01 21:59:18 EDT
xorg-x11-drv-openchrome-0.3.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-06-01 23:01:53 EDT
xorg-x11-drv-openchrome-0.3.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Huzaifa S. Sidhpurwala 2013-06-04 23:35:59 EDT
This issue affects the version of xorg-x11-drv-openchrome as shipped with Red Hat Enterprise Linux 6.
Comment 11 Huzaifa S. Sidhpurwala 2013-06-04 23:48:08 EDT
Statement:

(none)
Comment 12 Jan Lieskovsky 2013-06-17 09:05:20 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 14 Huzaifa S. Sidhpurwala 2014-10-21 03:02:59 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHBA-2014:1376 https://rhn.redhat.com/errata/RHBA-2014-1376.html

Note You need to log in before you can comment on or make changes to this bug.